<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="core-service.management.access.audit.syslog-handler.protocol.tls.authentication.client-certificate-store.key-password-credential-reference">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="store,alias,type,clear-text"/>
        <elem name="complex-attribute" value="key-password-credential-reference"/>
        <elem name="addr-params" value="host,core-service,access,syslog-handler,protocol,authentication"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="core-service.management"/>
    </annotation>
    <requires>
        <capability name="org.wildfly.security.credential-store.$store" optional="true"/>
    </requires>
    <refs>
        <ref feature="core-service.management.access.audit.syslog-handler.protocol.tls.authentication.client-certificate-store"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="protocol" feature-id="true" default="tls"/>
        <param name="access" feature-id="true" default="audit"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="alias" nillable="true"/>
        <param name="store" nillable="true"/>
        <param name="type" nillable="true"/>
        <param name="clear-text" nillable="true"/>
        <param name="syslog-handler" feature-id="true"/>
        <param name="core-service" feature-id="true" default="management"/>
        <param name="authentication" feature-id="true" default="client-certificate-store"/>
    </params>
</feature-spec>